﻿Imports ThinkGeo.UI.WinForms
Imports ThinkGeo.Core
Imports System.Threading
Imports ThinkGeo.Core.Async
Public Class Form1
  Public MainMap As MapView

  Public Sub New()

    ' This call is required by the designer.
    InitializeComponent()

  End Sub

  Private Sub Form1_Load(sender As Object, e As EventArgs) Handles Me.Load
    'MainMap.Size = New Size(800, 450)
    MainMap = New MapView With {
      .Dock = DockStyle.Fill
    }
    Controls.Add(MainMap)
    mAddWmtsLayer()
    'mAddWmsLayer()

  End Sub
  Private Async Sub mAddWmtsLayer()
    'Dim oWmtsLayer As New WmtsAsyncLayer(New Uri("https://wmts.geo.admin.ch/1.0.0"))
    'Dim oWmtsLayer As New WmtsAsyncLayer() 'New Uri("https://basemap.nationalmap.gov/arcgis/rest/services/USGSImageryOnly/MapServer/WMTS?"))
    Dim oWmtsLayer As New WmtsAsyncLayer(New Uri("https://wmts.geo.admin.ch/1.0.0"))
    With oWmtsLayer
      '.ServerUri = New Uri("https://basemap.nationalmap.gov/arcgis/rest/services/USGSImageryOnly/MapServer/WMTS?")
      '.ServerUri = New Uri("https://wmts.geo.admin.ch/1.0.0")
      Await .OpenAsync()
      .DrawingExceptionMode = DrawingExceptionMode.DrawException
      .CapabilitesCacheTimeout = New TimeSpan(0, 0, 0, 1)
      .ActiveLayerName = "ch.swisstopo.pixelkarte-farbe-pk25.noscale"
      .ActiveStyleName = "default"
      .OutputFormat = "image/png"
      .TileMatrixSetName = "21781_26"
      Dim oOverlay As New LayerOverlay
      oOverlay.Layers.Add(oWmtsLayer)
      MainMap.Overlays.Add(oOverlay)
      MainMap.CurrentExtent = New RectangleShape(641202.98934985977, 159695.95554381475, 645651.62437134236, 156646.11813217978)
      Await MainMap.RefreshAsync
    End With
  End Sub
End Class
